petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMInterpolationSetDim

Sets the spatial dimension for the interpolation context

### Synopsis

    #include "petscdmplex.h"
    #include "petscsnes.h"
    PetscErrorCode DMInterpolationSetDim(DMInterpolationInfo ctx, PetscInt dim)

Not collective

### Input Parameters

| ctx | - the context
| dim | - the spatial dimension

### See Also

DMInterpolationGetDim(), DMInterpolationEvaluate(), DMInterpolationAddPoints()

### Level

intermediate

### Location

src/snes/utils/dmplexsnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages